import { NodeType } from "@lezer/common";
import type * as DF from "./definition";
/** Effectively a light wrapper around a CodeMirror `NodeType`. */
export declare class Node {
    /** The unique ID for this node. */
    id: number;
    /** The name of this node, which may be different to what it emits in the AST. */
    name: string;
    /** The `NodeType` used by CodeMirror. */
    type: NodeType;
    /** @param id - The ID to assign to this node. */
    constructor(id: number, { type, emit, tag, openedBy, closedBy, group, nest, fold, indent }: DF.Node);
    /** Special `Node` used for when a rule doesn't emit anything. */
    static None: Node;
}
