import type { MatchOutput } from "../../types";
import type * as DF from "../definition";
import type { Repository } from "../repository";
import { Rule } from "./rule";
/**
 * A {@link Rule} subclass that uses a {@link LookupMatcher} for the
 * underlying pattern. This is a list of string options converted into a
 * very quick to match list internally.
 */
export declare class LookupRule extends Rule {
    /** The internal {@link LookupMatcher}. */
    private lookup;
    exec: (str: string, pos: number) => MatchOutput;
    /**
     * @param repo - The {@link Repository} to add this rule to.
     * @param rule - The rule definition.
     */
    constructor(repo: Repository, rule: DF.Lookup);
}
